Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.edge.api.workflow
Interface WorkflowModulePlugin

All Known Implementing Classes:
  AbstractWorkflowModulePlugin

    public interface WorkflowModulePlugin

Interface representing an edge flow plugin in the edge server.

This interface defines methods that are required by the edge flow engine to instantiate, initialize, configure and startup an edge flow module. The sequence in which initialization/startup methods are called is:

- constructor
- initialize
- configure
- startup

An edge flow module implementation must have a no-args constructor to be instantiated from the engine.

Method Summary
`void` | `configure(PluginConfig pluginConfig)` Configures the module with parameter values specifed by the user.
`ModuleDescriptor` | `getModuleDescriptor()` Returns `ModuleDescriptor` for this module.
`String` | `getName()` Returns the name of this module.
`void` | `initialize(String name, WorkflowManager workflowManager)` This method should take care of any initializations that should happen in the module before it is configured or started up.
`void` | `receiveMessage(Object msg, String portName)` Accepts a message to the specified port of this module.
`void` | `shutdown()` Method that will be called by the edge flow engine when a module is deleted.
`void` | `startup()` Statup functions in a module should happen in this method.

Method Detail

### getName

    String getName()

  Returns the name of this module.

  Returns:
    Name of the module.

### initialize

    void initialize(String name,
                    WorkflowManager workflowManager)

  This method should take care of any initializations that should happen in the module before it is configured or started up. This also initializes the module with its name and a reference to the `WorkflowManager`.

  Parameters:
    `name` - Name of this module.
    `workflowManager` - Reference to WorkflowManager that modules could use to get to edge server services

### configure

    void configure(PluginConfig pluginConfig)
                   throws PluginException

  Configures the module with parameter values specifed by the user.

  Parameters:
    `pluginConfig` - `PluginConfig` containing this module's configuration information.
  Throws:
    `PluginException` - If an error occurs trying to configure the module.

### startup

    void startup()

  Statup functions in a module should happen in this method. The module will be set up with the configured values at this point. An example of a startup function is the module connecting to some external device or system.

### shutdown

    void shutdown()

  Method that will be called by the edge flow engine when a module is deleted. This method should release any resources used by the module.

### receiveMessage

    void receiveMessage(Object msg,
                        String portName)

  Accepts a message to the specified port of this module.

  Parameters:
    `msg` - The message to this module.
    `portName` - Name of the port to which this message is being sent.

### getModuleDescriptor

    ModuleDescriptor getModuleDescriptor()

  Returns `ModuleDescriptor` for this module. The module descriptor contains information about the input and output ports of the module.

  Returns:
    The `ModuleDescriptor` for this module.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD